com.smartgwt.client.util.workflow

## Class FormDisableFieldTask

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.util.workflow.ProcessElement
    - - com.smartgwt.client.util.workflow.ComponentTask
      - - com.smartgwt.client.util.workflow.FormDisableFieldTask

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class FormDisableFieldTask
      extends ComponentTask

  Disable or enable a form field.
  See Also:
    `FormItem.setDisabled(java.lang.Boolean)`

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormDisableFieldTask()`
    `FormDisableFieldTask(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `java.lang.Boolean` | `getDisable()` Should the target form item be disabled?
    `static FormDisableFieldTask` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getTargetField()` Field to show/hide.
    `FormDisableFieldTask` | `setDisable(java.lang.Boolean disable)` Should the target form item be disabled?
    `FormDisableFieldTask` | `setTargetField(java.lang.String targetField)` Field to show/hide.

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ComponentTask

      `getComponentBaseClass, getComponentBaseClassAsStringArray, getComponentId, getComponentRequiresDataSource, getTargetComponent, getTargetComponent, setComponentBaseClass, setComponentBaseClass, setComponentId, setComponentRequiresDataSource`

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

      `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getJsObj, getMockMode, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, isCreated, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setNextElement, setPassThruOutput, setSupportsMultipleInputRecords, setTypeTitle, updateGlobalIDInCriteria, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormDisableFieldTask

          public FormDisableFieldTask()

    - #### FormDisableFieldTask

          public FormDisableFieldTask(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static FormDisableFieldTask getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `ComponentTask`

    - #### setDisable

          public FormDisableFieldTask setDisable(java.lang.Boolean disable)
                                          throws java.lang.IllegalStateException

      Should the target form item be disabled?
      Parameters:
        `disable` - New disable value. Default value is null
      Returns:
        `FormDisableFieldTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getDisable

          public java.lang.Boolean getDisable()

      Should the target form item be disabled?
      Returns:
        Current disable value. Default value is null

    - #### setTargetField

          public FormDisableFieldTask setTargetField(java.lang.String targetField)
                                              throws java.lang.IllegalStateException

      Field to show/hide.
      Parameters:
        `targetField` - New targetField value. Default value is null
      Returns:
        `FormDisableFieldTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `FieldName`

    - #### getTargetField

          public java.lang.String getTargetField()

      Field to show/hide.
      Returns:
        Current targetField value. Default value is null
      See Also:
        `FieldName`